Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1419715 - Review Request: hwcrypto-native - enable digital signature for Chrome and Firefox > 52
Summary: Review Request: hwcrypto-native - enable digital signature for Chrome and Fir...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2017-02-06 20:38 UTC by Mihkel Vain
Modified: 2019-03-27 08:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-27 08:01:11 UTC


Attachments (Terms of Use)

Description Mihkel Vain 2017-02-06 20:38:49 UTC
Spec URL: https://mihkel.fedorapeople.org/SPECS/chrome-token-signing.spec
SRPM URL: https://mihkel.fedorapeople.org/SRPMS/chrome-token-signing-1.0.4-1.fc25.src.rpm

Description: This package enables users to give digital signature with Chrome, Firefox and possibly with other browsers too. Eventually this will obsolete firefox-esteid-plugin package:
https://apps.fedoraproject.org/packages/firefox-esteid-plugin

Firefox will drop old NPAPI plugins with version 52, so upstream created chrome-token-signing to fix that. Never mind that name, it has support for firefox too and they are actually planning to rename that repo.
https://github.com/open-eid/chrome-token-signing/issues/14

And I did not had any bright ideas either, so I left that name as it is provided by upstream. Of course I can rename it if someone has good ideas :)

Fedora Account System Username: mihkel
koji task: https://koji.fedoraproject.org/koji/taskinfo?taskID=17637848

Comment 1 Rex Dieter 2017-02-06 20:41:37 UTC
fyi, please do not use:

BuildRequires:	qt5-devel

that's a metapackage that pulls in a *lot* (kde-sig strongly encourages no official packages to use that).

what you have otherwise is probably sufficient:

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)

Comment 3 Mihkel Vain 2017-02-07 17:14:51 UTC
Just got an e-mail from upstream developer. They will plan to re-name that repo in following days. I will notify here what they decide and most likely use that name for fedora package as well.

Comment 4 Priit Laes 2017-03-04 12:16:06 UTC
They've moved to https://github.com/hwcrypto/hwcrypto-native

Info for packagers perspective: https://github.com/hwcrypto/hwcrypto-native/wiki/Installers

Comment 7 Levente Farkas 2017-08-23 22:28:21 UTC
any update with this package?

Comment 8 Elliott Sales de Andrade 2017-10-05 03:28:06 UTC
Upstream link https://github.com/hwcrypto/hwcrypto-native now redirects to https://github.com/web-eid/web-eid which has an empty master branch. The coverity_scan contains something of substance, but I don't really know what upstream is doing.

Comment 9 Elliott Sales de Andrade 2019-03-27 08:01:11 UTC
I'll close this as upstream (at least as linked here) appears to be dead.


Note You need to log in before you can comment on or make changes to this bug.